function lis(numbers){
    var n = numbers.length;
    var dp = new Array(n+1).fill(1);
    for(i = 0; i < n; i++) {
        for(j = 0; j < i; j++) {
            if(numbers[j] < numbers[i]) {
                dp[i] =Math. max(dp[i], dp[j] + 1);
            }
        }
    }
    return dp[n];
}
lis;